Click or drag to resize

BrepCreateFromTaperedExtrude Method (Curve, Double, Vector3d, Point3d, Double, ExtrudeCornerType, Double, Double)

Extrude a curve to a taper making a brep (potentially more than 1)

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Brep[] CreateFromTaperedExtrude(
	Curve curveToExtrude,
	double distance,
	Vector3d direction,
	Point3d basePoint,
	double draftAngleRadians,
	ExtrudeCornerType cornerType,
	double tolerance,
	double angleToleranceRadians
)

Parameters

curveToExtrude
Type: Rhino.GeometryCurve
the curve to extrude
distance
Type: SystemDouble
the distance to extrude
direction
Type: Rhino.GeometryVector3d
the direction of the extrusion
basePoint
Type: Rhino.GeometryPoint3d
the basepoint of the extrusion
draftAngleRadians
Type: SystemDouble
angle of the extrusion
cornerType
Type: Rhino.GeometryExtrudeCornerType

[Missing <param name="cornerType"/> documentation for "M:Rhino.Geometry.Brep.CreateFromTaperedExtrude(Rhino.Geometry.Curve,System.Double,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,System.Double,Rhino.Geometry.ExtrudeCornerType,System.Double,System.Double)"]

tolerance
Type: SystemDouble
tolerance to use for the extrusion
angleToleranceRadians
Type: SystemDouble
angle tolerance to use for the extrusion

Return Value

Type: Brep
array of breps on success
Version Information

Rhino for Windows

Supported in: 6.6
See Also